Bug 1549658 - [RFE] Support RestAPI Primary Collection for Container Pods
Summary: [RFE] Support RestAPI Primary Collection for Container Pods
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: juwatts
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-27 15:25 UTC by Loic Avenel
Modified: 2019-02-07 23:01 UTC (History)
4 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Loic Avenel 2018-02-27 15:25:12 UTC
Description of problem: [RFE] Support RestAPI Primary Collection for Container Pods

Comment 2 Jillian Tullo 2018-03-05 22:18:38 UTC
PR: https://github.com/ManageIQ/manageiq-api/pull/184

Comment 4 Brandon Dunne 2018-08-02 13:57:53 UTC
Fixed by: https://github.com/ManageIQ/manageiq-api/pull/184

Moving directly to ON_QA since it's in builds as early as 5.10.0.0

Comment 5 juwatts 2018-11-13 21:41:57 UTC
Verified: 5.10.0.23.20181106165157_92dd189

Bulk Query:
In [59]: app.rest_api.collections.container_groups.all
Out[59]: 
[<Entity u'https://10.8.199.27/api/container_groups/327'>,
 <Entity u'https://10.8.199.27/api/container_groups/328'>,
 <Entity u'https://10.8.199.27/api/container_groups/329'>,
 <Entity u'https://10.8.199.27/api/container_groups/330'>,
 <Entity u'https://10.8.199.27/api/container_groups/331'>,
 <Entity u'https://10.8.199.27/api/container_groups/332'>,
 <Entity u'https://10.8.199.27/api/container_groups/333'>,
 <Entity u'https://10.8.199.27/api/container_groups/334'>,
 <Entity u'https://10.8.199.27/api/container_groups/335'>,
 <Entity u'https://10.8.199.27/api/container_groups/336'>,
 <Entity u'https://10.8.199.27/api/container_groups/337'>,
 <Entity u'https://10.8.199.27/api/container_groups/338'>,
 <Entity u'https://10.8.199.27/api/container_groups/339'>,
 <Entity u'https://10.8.199.27/api/container_groups/340'>,
 <Entity u'https://10.8.199.27/api/container_groups/341'>,
 <Entity u'https://10.8.199.27/api/container_groups/342'>]

In [61]: app.rest_api.collections.container_groups.count
Out[61]: 16


GET by id:
In [58]: app.rest_api.collections.container_groups.get(id='342')
Out[58]: <Entity u'https://10.8.199.27/api/container_groups/342'>


Custom Actions:
In [55]: test =  app.rest_api.collections.container_groups.get(id='342')

In [56]: test.action.all
Out[56]: [u'juwatts-test']

juwatts-test was a custom action added to CFME

In [57]: test.action.juwatts-test

Comment 6 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.